<?php
include 'bd.php';

//Вид транспорта
if($_POST['get_types']){
    $out = array();
    $sql = "SELECT * FROM `car_type`";
    $res = $db->query($sql) or die(mysqli_error($db));
    while($row = mysqli_fetch_object($res)){
        $out[] = array(
            'id' => $row->id_car_type,
            'name' => $row->name
        );
    }
    echo json_encode($out);
}

//Марка
if($_POST['get_mark']){
    $type = (int)$_POST['get_mark'] ? (int)$_POST['get_mark'] : 0;
    $out = array();
    $sql = "SELECT * FROM `car_make` WHERE `id_car_type` = '$type'";
    $res = $db->query($sql) or die(mysqli_error($db));
    while($row = mysqli_fetch_object($res)){
        $out[] = array(
            'id' => $row->id_car_make,
            'name' => $row->name,
            'date_create' => $row->date_create,
            'date_update' => $row->date_update,
            'name_rus' => $row->name_rus
        );
    }
    echo json_encode($out);
}

//Модель
if($_POST['get_model']){
    $mark = (int)$_POST['get_model'] ? (int)$_POST['get_model'] : 0;
    $out = array();
    $sql = "SELECT * FROM `car_model` WHERE `id_car_make` = '$mark'";
    $res = $db->query($sql) or die(mysqli_error($db));
    while($row = mysqli_fetch_object($res)){
        $out[] = array(
            'id' => $row->id_car_model,
            'name' => $row->name,
            'date_create' => $row->date_create,
            'date_update' => $row->date_update,
            'name_rus' => $row->name_rus
        );
    }
    echo json_encode($out);
}

//Поколение
if($_POST['get_generation']){
    $model = (int)$_POST['get_generation'] ? (int)$_POST['get_generation'] : 0;
    $out = array();
    $sql = "SELECT * FROM `car_generation` WHERE `id_car_model` = '$model'";
    $res = $db->query($sql) or die(mysqli_error($db));
    while($row = mysqli_fetch_object($res)){
        $out[] = array(
            'id' => $row->id_car_generation,
            'name' => $row->name,
            'year_begin' => $row->year_begin,
            'year_end' => $row->year_end,
            'date_create' => $row->date_create,
            'date_update' => $row->date_update
        );
    }
    echo json_encode($out);
}

//Серия
if($_POST['get_serie']){
    $generation = (int)$_POST['get_serie'] ? (int)$_POST['get_serie'] : 0;
    $out = array();
    $sql = "SELECT * FROM `car_serie` WHERE `id_car_generation` = '$generation'";
    $res = $db->query($sql) or die(mysqli_error($db));
    while($row = mysqli_fetch_object($res)){
        $out[] = array(
            'id' => $row->id_car_serie,
            'name' => $row->name,
            'date_create' => $row->date_create,
            'date_update' => $row->date_update
        );
    }
    echo json_encode($out);
}

//Модификация
if($_POST['get_modification']){
    $serie = (int)$_POST['get_modification'] ? (int)$_POST['get_modification'] : 0;
    $out = array();
    $sql = "SELECT * FROM `car_trim` WHERE `id_car_serie` = '$serie'";
    $res = $db->query($sql) or die(mysqli_error($db));
    while($row = mysqli_fetch_object($res)){
        $out[] = array(
            'id' => $row->id_car_trim,
            'name' => $row->name,
            'date_create' => $row->date_create,
            'date_update' => $row->date_update
        );
    }
    echo json_encode($out);
}

//Комплектация
if($_POST['get_equipment']){
    $modification = (int)$_POST['get_equipment'] ? (int)$_POST['get_equipment'] : 0;
    $out = array();
    $sql = "SELECT * FROM `car_equipment` WHERE `id_car_trim` = '$modification'";
    $res = $db->query($sql) or die(mysqli_error($db));
    while($row = mysqli_fetch_object($res)){
        $out[] = array(
            'id' => $row->id_car_equipment,
            'name' => $row->name,
            'date_create' => $row->date_create,
            'date_update' => $row->date_update,
            'price_min' => $row->price_min,
            'year' => $row->year
        );
    }
    echo json_encode($out);
}

//Характеристики
if($_POST['get_params']){
    $equipment = (int)$_POST['equipment'] ? (int)$_POST['equipment'] : 0;
    $modification = (int)$_POST['modification'] ? (int)$_POST['modification'] : 0;
    $out = array();
    
    $sql = "SELECT * FROM `car_specification_value` 
    LEFT JOIN `car_specification` ON `car_specification_value`.`id_car_specification` = `car_specification`.`id_car_specification` 
    WHERE `id_car_trim` = '$modification'";
    $res = $db->query($sql) or die(mysqli_error($db));
    while($row = mysqli_fetch_object($res)){
        $out['characteristic'][] = array(
            'name' => $row->name,
            'value' => $row->value,
            'unit' => $row->unit
        );
    }
    
    $sql = "SELECT * FROM `car_option_value` 
    LEFT JOIN `car_option` ON `car_option_value`.`id_car_option` = `car_option`.`id_car_option` 
    WHERE `id_car_equipment` = '$equipment'";
    $res = $db->query($sql) or die(mysqli_error($db));
    while($row = mysqli_fetch_object($res)){
        $out['option'][] = array(
            'name' => $row->name,
            'value' => $row->is_base ? 'base' : 'additional',
        );
    }
    
    echo json_encode($out);
}



